import { EventEmitter, QueryList, AfterContentInit, OnDestroy, ElementRef } from '@angular/core';
import { ScrollTabService } from './scroll-tab.service';
import { ScrollTabButtonComponent } from '../scroll-tab-button/scroll-tab-button.component';
export declare class ScrollTabComponent implements AfterContentInit, OnDestroy {
    private scrollTabService;
    uiChange: EventEmitter<number>;
    children: QueryList<ScrollTabButtonComponent>;
    wrap: ElementRef;
    set index(value: number);
    get index(): number;
    left: number;
    lineWidth: number;
    private _index;
    private subs;
    private animationId;
    constructor(scrollTabService: ScrollTabService);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    initStyle(): void;
    autoUpdateStyle(index: number): void;
}
