import { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { AlertController } from './alert-controller';
export declare class AlertComponent implements OnInit, OnDestroy {
    private alertController;
    private router;
    show: boolean;
    title: string | TemplateRef<any>;
    content: string | TemplateRef<any>;
    btnText: string;
    get titleIsString(): boolean;
    get contentIsString(): boolean;
    private subs;
    constructor(alertController: AlertController, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checked(): void;
    hide(): void;
}
